/// @file ActEventLoadControlElement.h
#ifndef ACTEVENTLOADCONTROLELEMENT_H
#define ACTEVENTLOADCONTROLELEMENT_H
#include "ToolKit.h"

/**
	@brief 메뉴 컨테이너

	계층적 메뉴를 담을수 있는 컨테이너 입니다.
*/
class ActEventLoadControlElement : public ActEvent {
	public:
		ActEventLoadControlElement(){}
		virtual ~ActEventLoadControlElement(){}
		virtual void act(ToolKit* _pToolKit){
			_pToolKit->pControlTable->runMode = ControlTable::SCRIPT;
			_pToolKit->pControlTable->pCommandElement = NULL;
			_pToolKit->pControlTable->pControlElement = pControlElement_;
		}
		void setActEvent(TiXmlElement* _pControlElement){
			pControlElement_ = _pControlElement;
		}
	private:
		TiXmlElement* pControlElement_;
};
#endif